summaryrefslogtreecommitdiffstats
path: root/ocata/vagrant/test/test-image.sh
diff options
context:
space:
mode:
authorBin Yang <bin.yang@windriver.com>2017-09-20 05:41:36 +0000
committerGerrit Code Review <gerrit@onap.org>2017-09-20 05:41:36 +0000
commit6879be51fec2101b26b7648c7245e99eb5e64b87 (patch)
treebc8ecd67f030c54b7610af7de0c72c4fe04bd19e /ocata/vagrant/test/test-image.sh
parenta7da9df2316973357945636cc4f122746722a492 (diff)
parentc87724b50dd883a2c250fd9f4c383eddf3ec7e48 (diff)
Merge "add function test cases"
Diffstat (limited to 'ocata/vagrant/test/test-image.sh')
-rw-r--r--ocata/vagrant/test/test-image.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/ocata/vagrant/test/test-image.sh b/ocata/vagrant/test/test-image.sh
new file mode 100644
index 00000000..6312bf76
--- /dev/null
+++ b/ocata/vagrant/test/test-image.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+set -ex
+
+MULTICLOUD_PLUGIN_ENDPOINT=http://172.16.77.40:9004/api/multicloud-ocata/v0/openstack-hudson-dc_RegionOne
+TOKEN=$(curl -v -s -H "Content-Type: application/json" -X POST -d '{ }' $MULTICLOUD_PLUGIN_ENDPOINT/identity/v3/auth/tokens 2>&1 | grep X-Subject-Token | sed "s/^.*: //")
+#curl -v -s -H "Content-Type: application/json" -H "X-Auth-Token: $TOKEN" -X GET $MULTICLOUD_PLUGIN_ENDPOINT/image/v2/images
+PROJECT_ID=$(curl -v -s -H "Content-Type: application/json" -H "X-Auth-Token: $TOKEN" -X GET $MULTICLOUD_PLUGIN_ENDPOINT/identity/v3/projects 2>/dev/null | python -mjson.tool | grep -B5 "name.*\"admin" | grep '\"id\"' | cut -f4 -d'"')
+curl -v -s -H "Content-Type: application/json" -H "X-Auth-Token: $TOKEN" -X GET $MULTICLOUD_PLUGIN_ENDPOINT/identity/v3/projects/$PROJECT_ID